package com.example.administrator.zhapp.entity;

import android.os.Parcel;
import android.os.Parcelable;

import java.util.ArrayList;

/**
 * Created by Administrator on 2016/10/13.
 */

public class DjjhInfo implements Parcelable {


    private int Total;
    /**
     * POINTNUM : 30004
     * JHID : 20161011183546
     * JHMC : 312312
     * JHLX : 运行前点检
     * POINTNAME : 运行状况
     * MEAAREA : 1、2号炉输送风机及气化风机区域
     * MEAMETHOD : 观察
     * DESCRIPTION : 1C输送风机
     * LOWERWARNING : -99999998
     * UPPERWARNING : 1
     * LOWERACTION : -99999999
     * UPPERACTION : 1
     * MEAPOS : 待补充
     * MEASTATUS : 运行中点检
     * MEASTANDARD : 0：正常、1：异常
     */

    private ArrayList<Djjh> Rows;

    public int getTotal() {
        return Total;
    }

    public void setTotal(int Total) {
        this.Total = Total;
    }

    public ArrayList<Djjh> getRows() {
        return Rows;
    }

    public void setRows(ArrayList<Djjh> Rows) {
        this.Rows = Rows;
    }

    public static class Djjh implements Parcelable {
        private String POINTNUM;//点编号
        private String JHID;//计划ID
        private String JHMC;//计划名称
        private String JHLX;//计划类型
        private String POINTNAME;//点名称
        private String MEAAREA;//区域
        private String MEAMETHOD;//方法
        private String DESCRIPTION;//位置
        private String LOWERWARNING;//报警下限
        private String UPPERWARNING;//报警上限
        private String LOWERACTION;//超限下限
        private String UPPERACTION;//超限上限
        private String MEAPOS;//部位
        private String MEASTATUS;//设备状态
        private String MEASTANDARD;//标准
        private String STARTTIME;//开始时间
        private String ENDTIEM;//结束时间
        private String RESULT;//采集结果

        public String getPOINTNUM() {
            return POINTNUM;
        }

        public void setPOINTNUM(String POINTNUM) {
            this.POINTNUM = POINTNUM;
        }

        public String getJHID() {
            return JHID;
        }

        public void setJHID(String JHID) {
            this.JHID = JHID;
        }

        public String getJHMC() {
            return JHMC;
        }

        public void setJHMC(String JHMC) {
            this.JHMC = JHMC;
        }

        public String getJHLX() {
            return JHLX;
        }

        public void setJHLX(String JHLX) {
            this.JHLX = JHLX;
        }

        public String getPOINTNAME() {
            return POINTNAME;
        }

        public void setPOINTNAME(String POINTNAME) {
            this.POINTNAME = POINTNAME;
        }

        public String getMEAAREA() {
            return MEAAREA;
        }

        public void setMEAAREA(String MEAAREA) {
            this.MEAAREA = MEAAREA;
        }

        public String getMEAMETHOD() {
            return MEAMETHOD;
        }

        public void setMEAMETHOD(String MEAMETHOD) {
            this.MEAMETHOD = MEAMETHOD;
        }

        public String getDESCRIPTION() {
            return DESCRIPTION;
        }

        public void setDESCRIPTION(String DESCRIPTION) {
            this.DESCRIPTION = DESCRIPTION;
        }

        public String getLOWERWARNING() {
            return LOWERWARNING;
        }

        public void setLOWERWARNING(String LOWERWARNING) {
            this.LOWERWARNING = LOWERWARNING;
        }

        public String getUPPERWARNING() {
            return UPPERWARNING;
        }

        public void setUPPERWARNING(String UPPERWARNING) {
            this.UPPERWARNING = UPPERWARNING;
        }

        public String getLOWERACTION() {
            return LOWERACTION;
        }

        public void setLOWERACTION(String LOWERACTION) {
            this.LOWERACTION = LOWERACTION;
        }

        public String getUPPERACTION() {
            return UPPERACTION;
        }

        public void setUPPERACTION(String UPPERACTION) {
            this.UPPERACTION = UPPERACTION;
        }

        public String getMEAPOS() {
            return MEAPOS;
        }

        public void setMEAPOS(String MEAPOS) {
            this.MEAPOS = MEAPOS;
        }

        public String getMEASTATUS() {
            return MEASTATUS;
        }

        public void setMEASTATUS(String MEASTATUS) {
            this.MEASTATUS = MEASTATUS;
        }

        public String getMEASTANDARD() {
            return MEASTANDARD;
        }

        public void setMEASTANDARD(String MEASTANDARD) {
            this.MEASTANDARD = MEASTANDARD;
        }

        @Override
        public int describeContents() {
            return 0;
        }

        @Override
        public void writeToParcel(Parcel dest, int flags) {
            dest.writeString(this.POINTNUM);
            dest.writeString(this.JHID);
            dest.writeString(this.JHMC);
            dest.writeString(this.JHLX);
            dest.writeString(this.POINTNAME);
            dest.writeString(this.MEAAREA);
            dest.writeString(this.MEAMETHOD);
            dest.writeString(this.DESCRIPTION);
            dest.writeString(this.LOWERWARNING);
            dest.writeString(this.UPPERWARNING);
            dest.writeString(this.LOWERACTION);
            dest.writeString(this.UPPERACTION);
            dest.writeString(this.MEAPOS);
            dest.writeString(this.MEASTATUS);
            dest.writeString(this.MEASTANDARD);
        }

        public Djjh() {
        }

        protected Djjh(Parcel in) {
            this.POINTNUM = in.readString();
            this.JHID = in.readString();
            this.JHMC = in.readString();
            this.JHLX = in.readString();
            this.POINTNAME = in.readString();
            this.MEAAREA = in.readString();
            this.MEAMETHOD = in.readString();
            this.DESCRIPTION = in.readString();
            this.LOWERWARNING = in.readString();
            this.UPPERWARNING = in.readString();
            this.LOWERACTION = in.readString();
            this.UPPERACTION = in.readString();
            this.MEAPOS = in.readString();
            this.MEASTATUS = in.readString();
            this.MEASTANDARD = in.readString();
        }

        public static final Parcelable.Creator<Djjh> CREATOR = new Parcelable.Creator<Djjh>() {
            @Override
            public Djjh createFromParcel(Parcel source) {
                return new Djjh(source);
            }

            @Override
            public Djjh[] newArray(int size) {
                return new Djjh[size];
            }
        };
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeInt(this.Total);
        dest.writeTypedList(this.Rows);
    }

    public DjjhInfo() {
    }

    protected DjjhInfo(Parcel in) {
        this.Total = in.readInt();
        this.Rows = in.createTypedArrayList(Djjh.CREATOR);
    }

    public static final Parcelable.Creator<DjjhInfo> CREATOR = new Parcelable.Creator<DjjhInfo>() {
        @Override
        public DjjhInfo createFromParcel(Parcel source) {
            return new DjjhInfo(source);
        }

        @Override
        public DjjhInfo[] newArray(int size) {
            return new DjjhInfo[size];
        }
    };
}
